import CreateCategoryStepper from "./CreateCategoryStepper";
import {Modal} from "react-bootstrap";

export default function CreateCategoryModal({showCreateModal, handleCloseCreateModal, callback}) {
    return (
        <Modal size={'lg'} centered show={showCreateModal} onHide={handleCloseCreateModal}>
            <Modal.Header closeButton={true} className={'flex flex-row-reverse'}>
                <Modal.Title className={'font-[Vazirmatn] text-[1.5rem] font-bold'}>افزودن دسته بندی</Modal.Title>
            </Modal.Header>
            <Modal.Body style={{direction: 'rtl'}}>
                <CreateCategoryStepper onCancel={() => {
                    handleCloseCreateModal()
                    callback()
                }}/>
            </Modal.Body>
        </Modal>
    )
}